Get a sub account Run in API Explorer
Ask AI
GET
/api/v1/plans/{plan_uuid}/sub-accounts/{uuid}
curl \
--request GET 'https://api.plannrcrm.com/api/v1/plans/6ff8f7f6-1eb3-3525-be4a-3932c805afed/sub-accounts/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"uuid": "a116fe6a-8c14-4313-83ba-abeedde31a12",
"created_at": "2026-11-06T12:02:07+00:00",
"updated_at": "2026-11-06T12:02:07+00:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"latest_valuation": {
"uuid": "c31a1bc4-d973-4fbd-b7e1-b2802e64ae05",
"created_at": "2026-11-06T12:02:07+00:00",
"updated_at": "2026-11-06T12:02:07+00:00",
"valued_at": "2026-11-06T12:02:07+00:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"sub_account": {
"uuid": "feb18849-97db-4170-9f4a-53d278ec72aa",
"created_at": "2026-11-06T12:02:12+00:00",
"updated_at": "2026-11-06T12:02:12+00:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"is_main_account": false,
"statistics": {
"recent_growth": 100
}
}
},
"is_main_account": false,
"active_portfolio": {
"uuid": "97dd48c7-ecdb-45a5-9380-ecaafd1786e6",
"created_at": "2026-11-06T12:02:07+00:00",
"updated_at": "2026-11-06T12:02:07+00:00",
"is_proposed": true,
"proposed_at": "2026-11-06T00:00:00+00:00",
"name": "Risky Portfolio"
},
"statistics": {
"recent_growth": 100
}
}